FreeMat

- Main Page
- Related Pages

vtkDataSetToStructuredPointsFilter

Section: Visualization Toolkit Filtering Classes

# Usage

vtkDataSetToStructuredPointsFilter is an abstract filter class whose subclasses take as input any dataset and generate structured points data on output.

To create an instance of class vtkDataSetToStructuredPointsFilter, simply invoke its constructor as follows

      obj = vtkDataSetToStructuredPointsFilter

# Methods

The class vtkDataSetToStructuredPointsFilter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkDataSetToStructuredPointsFilter class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkDataSetToStructuredPointsFilter = obj.NewInstance ()`
- `vtkDataSetToStructuredPointsFilter = obj.SafeDownCast (vtkObject o)`
- `obj.SetInput (vtkDataSet input)` - Set / get the input data or filter.
- `vtkDataSet = obj.GetInput ()` - Set / get the input data or filter.